using System;
using System.Globalization;
using System.Linq;
using System.Windows.Data;

namespace BeWo.Converter
{
    public class OneWayToSourceSwitch : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            return targetTypes.Select(t => value).ToArray();
        }
    }
}